## net.i2p.i2ptunnel
Class BufferLogger

    java.lang.Object
      net.i2p.i2ptunnel.BufferLogger

All Implemented Interfaces:
  Logging

     class BufferLogger

extends java.lang.Object
implements Logging

Read what i2ptunnel logs, and expose it in a buffer

Constructor Summary
`BufferLogger()` Constructs a buffered logger.

Method Summary
`java.lang.String` `getBuffer()` Retrieves the buffer
`void` `ignoreFurtherActions()` We don't care about anything else the logger receives.
`void` `log(java.lang.String s)` Pass in some random data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferLogger

    public BufferLogger()

  Constructs a buffered logger.

Method Detail

### getBuffer

    public java.lang.String getBuffer()

  Retrieves the buffer

  Returns:
    the buffer

### ignoreFurtherActions

    public void ignoreFurtherActions()

  We don't care about anything else the logger receives. This is useful for loggers passed in to servers and clients, since they will continue to add info to the logger, but if we're instantiated by the tunnel manager, its likely we only care about the first few messages it sends us.

### log

    public void log(java.lang.String s)

  Pass in some random data

  Specified by:
    `log` in interface `Logging`
  Parameters:
    `s` - String containing what we're logging.